import java.awt.*;
import java.util.ArrayList;
import java.util.Iterator;

public class JBarCode extends Component {

	private static final long serialVersionUID = 1L;
	
	private final static Color white = Color.white;
	private final static Color black = Color.black;
	
    private ArrayList bars = new ArrayList();
    private String text = "";
    
    public void clear() {
    	bars.clear();
    }
    
    public void setText(String text) {
    	this.text = text;
    }
    
    @SuppressWarnings("unchecked")
	public void print(char bars[]) {
    	this.bars.add(bars);
    }

	public void paint(Graphics g) {
		char currentBars[];
		int curentPos = 0;
		
		Dimension d = getSize();
        Graphics2D g2 = (Graphics2D) g;
        
        g2.setPaint(white);
        g2.fillRect(0, 0, d.width-1, d.height-1);
        
        g2.setFont(new Font("Arial", 0, 10));
        g2.setPaint(black);
        
        for (Iterator i=bars.iterator(); i.hasNext();) {
        	currentBars = (char[]) i.next();
        	for (int j=0; j<currentBars.length; j++) {
                if (currentBars[j] == 1)
                	g2.fillRect(curentPos+20, 10, 2, 90);

                curentPos += 2;        		
        	}
        }
    	g2.drawString(text, curentPos/2 + 20 - text.length()*3, 110);
    }
}
